package class9_Lab_MapperPersonWriter;// Dr. Yoder. MSOE. 09 February 2017

import java.util.Deque;
import java.util.LinkedList;

public class Invoker {
    private Deque<Command> undoStack = new LinkedList<>();

    public void invoke(Command command) {
        undoStack.addLast(command);
        command.execute();
    }

    public void undo() {
        Command command = undoStack.pollLast();
        if(command == null) {
            System.err.println("Invoker: Warning: Could not undo. Empty undo stack");
        } else {
            command.undo();
        }
    }
}
